### Method

# Soup Logger set_printer

#### Declaration [src]

    void
    soup_logger_set_printer (
      SoupLogger* logger,
      SoupLoggerPrinter printer,
      gpointer printer_data,
      GDestroyNotify destroy
    )

#### Description [src]

Sets up an alternate log printing routine, if you don’t want the log to go to `stdout`.

#### Parameters

`printer` | `SoupLoggerPrinter`
| The callback for printing logging output.
`printer_data` | `gpointer`
| Data to pass to the callback.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`destroy` | `GDestroyNotify`
| A `GDestroyNotify` to free `printer_data`.